Bug 520218 - Oops during moderate IO (mkfs)
Summary: Oops during moderate IO (mkfs)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 00:32 UTC by rhbugs
Modified: 2010-06-28 14:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:22:05 UTC


Attachments (Terms of Use)
Kernel oops captured while doing an mkfs (7.62 KB, text/plain)
2009-08-29 00:33 UTC, rhbugs
no flags Details

Description rhbugs 2009-08-29 00:32:14 UTC
Description of problem:

After several attempts, I was able to install F11 to a Compact Flash card. When subsequently running an mkfs against a newly created logical volume or partition, I received an oops. Looking through bugzilla for some keywords in the backtrace, I found that there was one item that looked promising related to a problem with SELinux, so I disabled SELinux for troubleshooting.

The oops still occurs with SELinux disabled when doing mkfs or any major write/copy operation.

I have also tried booting with all acpi options off as suggested by an article linked from "how to decode a kernel oops" but mkfs still results in an oops. 



Version-Release number of selected component (if applicable):
Linux Kernel Version 2.6.29.6-217.2.16.fc11.x86_64


How reproducible:
Always

Steps to Reproduce:
1. boot system and login
2. generate IO
3. capture oops
  
Actual results:
The system crashes with an oops message. Message captured from serial console attached

Expected results:
The system should not crash during IO operations


Additional info:
System has been stripped to minimal config
New Gigabyte motherboard
New Corsair RAM - 4GB
New Phenom III X4 @ 3. GHz
System passes memtest

Comment 1 rhbugs 2009-08-29 00:33:51 UTC
Created attachment 359132 [details]
Kernel oops captured while doing an mkfs

Comment 2 Bug Zapper 2010-04-28 10:03:15 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:22:05 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.